# struct KDockTabCtl_PrivateStruct | Actually an internal struct. More...
Definition | `#include <kdocktabctl.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockTabCtl_PrivateStruct ( QWidget* _widget, int _id )
- ~KDockTabCtl_PrivateStruct ()

#### Public Members

- QWidget* widget
- int id
- bool enabled

## Detailed Description

Actually an internal struct. But it is used in a QList of KDockTabCtl (see below). So we cannot use class forward declaration since QList demands to know the destructor method.

KDockTabCtl_PrivateStruct ( QWidget* _widget, int _id ) | ### KDockTabCtl_PrivateStruct

~KDockTabCtl_PrivateStruct () | ### ~KDockTabCtl_PrivateStruct

QWidget* widget | ### widget

int id | ### id

bool enabled | ### enabled

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.